
#ifndef __LIBGNOMENU_GNOMENU_H__
#define __LIBGNOMENU_GNOMENU_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_MENU_ITEM_TYPE (gnomenu_menu_item_type_get_type ())

#define GNOMENU_TYPE_MENU_ITEM_STATE (gnomenu_menu_item_state_get_type ())

typedef enum  {
	GNOMENU_MENU_ITEM_TYPE_NORMAL = 0,
	GNOMENU_MENU_ITEM_TYPE_CHECK = 1,
	GNOMENU_MENU_ITEM_TYPE_RADIO = 2,
	GNOMENU_MENU_ITEM_TYPE_IMAGE = 3,
	GNOMENU_MENU_ITEM_TYPE_SEPARATOR = 4,
	GNOMENU_MENU_ITEM_TYPE_ARROW = 5,
	GNOMENU_MENU_ITEM_TYPE_ICON = 6
} GnomenuMenuItemType;

typedef enum  {
	GNOMENU_MENU_ITEM_STATE_UNTOGGLED = 0,
	GNOMENU_MENU_ITEM_STATE_TOGGLED = 1,
	GNOMENU_MENU_ITEM_STATE_TRISTATE = 2
} GnomenuMenuItemState;


#define GNOMENU_NET_GLOBALMENU_MENU_CONTEXT "_NET_GLOBALMENU_MENU_CONTEXT"
#define GNOMENU_NET_GLOBALMENU_MENU_EVENT "_NET_GLOBALMENU_MENU_EVENT"
GType gnomenu_menu_item_type_get_type (void);
GType gnomenu_menu_item_state_get_type (void);
GnomenuMenuItemState gnomenu_item_state_from_string (const char* str);
const char* gnomenu_item_state_to_string (GnomenuMenuItemState state);
GnomenuMenuItemType gnomenu_item_type_from_string (const char* str);
gboolean gnomenu_item_type_has_label (GnomenuMenuItemType type);
const char* gnomenu_item_type_to_string (GnomenuMenuItemType type);


G_END_DECLS

#endif
