
#ifndef __LIBGNOMENU_HELPER_H__
#define __LIBGNOMENU_HELPER_H__

#include <glib.h>
#include <glib-object.h>
#include <float.h>
#include <math.h>
#include <gtk/gtk.h>
#include <libgnomenu/gnomenu.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_BACKGROUND_TYPE (gnomenu_background_type_get_type ())

#define GNOMENU_TYPE_GRAVITY (gnomenu_gravity_get_type ())

typedef enum  {
	GNOMENU_BACKGROUND_TYPE_NONE = 0,
	GNOMENU_BACKGROUND_TYPE_COLOR = 1,
	GNOMENU_BACKGROUND_TYPE_PIXMAP = 2
} GnomenuBackgroundType;

typedef enum  {
	GNOMENU_GRAVITY_DOWN = 0,
	GNOMENU_GRAVITY_UP = 1,
	GNOMENU_GRAVITY_LEFT = 2,
	GNOMENU_GRAVITY_RIGHT = 3
} GnomenuGravity;


GType gnomenu_background_type_get_type (void);
GType gnomenu_gravity_get_type (void);
double gnomenu_gravity_to_text_angle (GnomenuGravity g);
GtkArrowType gnomenu_gravity_to_arrow_type (GnomenuGravity g);
GtkShadowType gnomenu_item_state_to_shadow_type (GnomenuMenuItemState state);


G_END_DECLS

#endif
