
#ifndef __LIBGNOMENU_INTERFACE_ITEM_H__
#define __LIBGNOMENU_INTERFACE_ITEM_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libgnomenu/interface-shell.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_ITEM (gnomenu_item_get_type ())
#define GNOMENU_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_ITEM, GnomenuItem))
#define GNOMENU_IS_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_ITEM))
#define GNOMENU_ITEM_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), GNOMENU_TYPE_ITEM, GnomenuItemIface))


struct _GnomenuItemIface {
	GTypeInterface parent_iface;
	GnomenuShell* (*get_shell) (GnomenuItem* self);
	GnomenuShell* (*get_sub_shell) (GnomenuItem* self);
	gboolean (*get_has_sub_shell) (GnomenuItem* self);
	void (*set_has_sub_shell) (GnomenuItem* self, gboolean value);
	char* (*get_item_id) (GnomenuItem* self);
	void (*set_item_id) (GnomenuItem* self, const char* value);
	char* (*get_item_type) (GnomenuItem* self);
	void (*set_item_type) (GnomenuItem* self, const char* value);
	gboolean (*get_item_use_underline) (GnomenuItem* self);
	void (*set_item_use_underline) (GnomenuItem* self, gboolean value);
	gboolean (*get_item_sensitive) (GnomenuItem* self);
	void (*set_item_sensitive) (GnomenuItem* self, gboolean value);
	gboolean (*get_item_visible) (GnomenuItem* self);
	void (*set_item_visible) (GnomenuItem* self, gboolean value);
	char* (*get_item_state) (GnomenuItem* self);
	void (*set_item_state) (GnomenuItem* self, const char* value);
	char* (*get_item_label) (GnomenuItem* self);
	void (*set_item_label) (GnomenuItem* self, const char* value);
	char* (*get_item_icon) (GnomenuItem* self);
	void (*set_item_icon) (GnomenuItem* self, const char* value);
	char* (*get_item_accel_text) (GnomenuItem* self);
	void (*set_item_accel_text) (GnomenuItem* self, const char* value);
	char* (*get_item_font) (GnomenuItem* self);
	void (*set_item_font) (GnomenuItem* self, const char* value);
};


GnomenuShell* gnomenu_item_get_shell (GnomenuItem* self);
GnomenuShell* gnomenu_item_get_sub_shell (GnomenuItem* self);
gboolean gnomenu_item_get_has_sub_shell (GnomenuItem* self);
void gnomenu_item_set_has_sub_shell (GnomenuItem* self, gboolean value);
GnomenuShell* gnomenu_item_get_toplevel_shell (GnomenuItem* self);
gint gnomenu_item_get_item_position (GnomenuItem* self);
char* gnomenu_item_get_item_id (GnomenuItem* self);
void gnomenu_item_set_item_id (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_type (GnomenuItem* self);
void gnomenu_item_set_item_type (GnomenuItem* self, const char* value);
gboolean gnomenu_item_get_item_use_underline (GnomenuItem* self);
void gnomenu_item_set_item_use_underline (GnomenuItem* self, gboolean value);
gboolean gnomenu_item_get_item_sensitive (GnomenuItem* self);
void gnomenu_item_set_item_sensitive (GnomenuItem* self, gboolean value);
gboolean gnomenu_item_get_item_visible (GnomenuItem* self);
void gnomenu_item_set_item_visible (GnomenuItem* self, gboolean value);
char* gnomenu_item_get_item_state (GnomenuItem* self);
void gnomenu_item_set_item_state (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_label (GnomenuItem* self);
void gnomenu_item_set_item_label (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_icon (GnomenuItem* self);
void gnomenu_item_set_item_icon (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_accel_text (GnomenuItem* self);
void gnomenu_item_set_item_accel_text (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_font (GnomenuItem* self);
void gnomenu_item_set_item_font (GnomenuItem* self, const char* value);
char* gnomenu_item_get_item_path_name (GnomenuItem* self);
char* gnomenu_item_get_item_path (GnomenuItem* self);
GType gnomenu_item_get_type (void);


G_END_DECLS

#endif
