
#ifndef __LIBGNOMENU_LABEL_H__
#define __LIBGNOMENU_LABEL_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <stdlib.h>
#include <string.h>
#include <libgnomenu/helper.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_MENU_LABEL (gnomenu_menu_label_get_type ())
#define GNOMENU_MENU_LABEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_MENU_LABEL, GnomenuMenuLabel))
#define GNOMENU_MENU_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_MENU_LABEL, GnomenuMenuLabelClass))
#define GNOMENU_IS_MENU_LABEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_MENU_LABEL))
#define GNOMENU_IS_MENU_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_MENU_LABEL))
#define GNOMENU_MENU_LABEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_MENU_LABEL, GnomenuMenuLabelClass))

typedef struct _GnomenuMenuLabel GnomenuMenuLabel;
typedef struct _GnomenuMenuLabelClass GnomenuMenuLabelClass;
typedef struct _GnomenuMenuLabelPrivate GnomenuMenuLabelPrivate;

struct _GnomenuMenuLabel {
	GtkContainer parent_instance;
	GnomenuMenuLabelPrivate * priv;
};

struct _GnomenuMenuLabelClass {
	GtkContainerClass parent_class;
};


GnomenuMenuLabel* gnomenu_menu_label_construct (GType object_type);
GnomenuMenuLabel* gnomenu_menu_label_new (void);
const char* gnomenu_menu_label_get_accel (GnomenuMenuLabel* self);
void gnomenu_menu_label_set_accel (GnomenuMenuLabel* self, const char* value);
gboolean gnomenu_menu_label_get_use_underline (GnomenuMenuLabel* self);
void gnomenu_menu_label_set_use_underline (GnomenuMenuLabel* self, gboolean value);
const char* gnomenu_menu_label_get_label (GnomenuMenuLabel* self);
void gnomenu_menu_label_set_label (GnomenuMenuLabel* self, const char* value);
GnomenuGravity gnomenu_menu_label_get_gravity (GnomenuMenuLabel* self);
void gnomenu_menu_label_set_gravity (GnomenuMenuLabel* self, GnomenuGravity value);
GtkLabel* gnomenu_menu_label_get_label_widget (GnomenuMenuLabel* self);
GType gnomenu_menu_label_get_type (void);


G_END_DECLS

#endif
