
#ifndef __LIBGNOMENU_MENU_H__
#define __LIBGNOMENU_MENU_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <libgnomenu/interface-shell.h>
#include <libgnomenu/interface-item.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_MENU (gnomenu_menu_get_type ())
#define GNOMENU_MENU(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_MENU, GnomenuMenu))
#define GNOMENU_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_MENU, GnomenuMenuClass))
#define GNOMENU_IS_MENU(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_MENU))
#define GNOMENU_IS_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_MENU))
#define GNOMENU_MENU_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_MENU, GnomenuMenuClass))

typedef struct _GnomenuMenu GnomenuMenu;
typedef struct _GnomenuMenuClass GnomenuMenuClass;
typedef struct _GnomenuMenuPrivate GnomenuMenuPrivate;

struct _GnomenuMenu {
	GtkMenu parent_instance;
	GnomenuMenuPrivate * priv;
};

struct _GnomenuMenuClass {
	GtkMenuClass parent_class;
};


GnomenuMenu* gnomenu_menu_construct (GType object_type);
GnomenuMenu* gnomenu_menu_new (void);
gboolean gnomenu_menu_get_use_rgba_colormap (GnomenuMenu* self);
void gnomenu_menu_set_use_rgba_colormap (GnomenuMenu* self, gboolean value);
GType gnomenu_menu_get_type (void);


G_END_DECLS

#endif
