
#ifndef __LIBGNOMENU_MENUBARBOX_H__
#define __LIBGNOMENU_MENUBARBOX_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <libgnomenu/helper.h>
#include <libgnomenu/menubar.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_MENU_BAR_BOX (gnomenu_menu_bar_box_get_type ())
#define GNOMENU_MENU_BAR_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_MENU_BAR_BOX, GnomenuMenuBarBox))
#define GNOMENU_MENU_BAR_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_MENU_BAR_BOX, GnomenuMenuBarBoxClass))
#define GNOMENU_IS_MENU_BAR_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_MENU_BAR_BOX))
#define GNOMENU_IS_MENU_BAR_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_MENU_BAR_BOX))
#define GNOMENU_MENU_BAR_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_MENU_BAR_BOX, GnomenuMenuBarBoxClass))

typedef struct _GnomenuMenuBarBox GnomenuMenuBarBox;
typedef struct _GnomenuMenuBarBoxClass GnomenuMenuBarBoxClass;
typedef struct _GnomenuMenuBarBoxPrivate GnomenuMenuBarBoxPrivate;

struct _GnomenuMenuBarBox {
	GtkContainer parent_instance;
	GnomenuMenuBarBoxPrivate * priv;
};

struct _GnomenuMenuBarBoxClass {
	GtkContainerClass parent_class;
};


GnomenuMenuBarBox* gnomenu_menu_bar_box_construct (GType object_type);
GnomenuMenuBarBox* gnomenu_menu_bar_box_new (void);
GtkPackDirection gnomenu_menu_bar_box_get_pack_direction (GnomenuMenuBarBox* self);
void gnomenu_menu_bar_box_set_pack_direction (GnomenuMenuBarBox* self, GtkPackDirection value);
GnomenuGravity gnomenu_menu_bar_box_get_gravity (GnomenuMenuBarBox* self);
void gnomenu_menu_bar_box_set_gravity (GnomenuMenuBarBox* self, GnomenuGravity value);
void gnomenu_menu_bar_box_set_background (GnomenuMenuBarBox* self, GnomenuBackground* value);
GType gnomenu_menu_bar_box_get_type (void);


G_END_DECLS

#endif
