
#ifndef __LIBGNOMENU_MONITOR_H__
#define __LIBGNOMENU_MONITOR_H__

#include <glib.h>
#include <glib-object.h>
#include <gdk/gdk.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_MONITOR (gnomenu_monitor_get_type ())
#define GNOMENU_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_MONITOR, GnomenuMonitor))
#define GNOMENU_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_MONITOR, GnomenuMonitorClass))
#define GNOMENU_IS_MONITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_MONITOR))
#define GNOMENU_IS_MONITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_MONITOR))
#define GNOMENU_MONITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_MONITOR, GnomenuMonitorClass))

typedef struct _GnomenuMonitor GnomenuMonitor;
typedef struct _GnomenuMonitorClass GnomenuMonitorClass;
typedef struct _GnomenuMonitorPrivate GnomenuMonitorPrivate;

struct _GnomenuMonitor {
	GObject parent_instance;
	GnomenuMonitorPrivate * priv;
};

struct _GnomenuMonitorClass {
	GObjectClass parent_class;
};


GnomenuMonitor* gnomenu_monitor_construct (GType object_type);
GnomenuMonitor* gnomenu_monitor_new (void);
void gnomenu_monitor_dispose (GnomenuMonitor* self);
GdkScreen* gnomenu_monitor_get_screen (GnomenuMonitor* self);
void gnomenu_monitor_set_screen (GnomenuMonitor* self, GdkScreen* value);
gulong gnomenu_monitor_get_current_xid (GnomenuMonitor* self);
GType gnomenu_monitor_get_type (void);


G_END_DECLS

#endif
