
#ifndef __LIBGNOMENU_PARSER_H__
#define __LIBGNOMENU_PARSER_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libgnomenu/interface-shell.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_PARSER (gnomenu_parser_get_type ())
#define GNOMENU_PARSER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_PARSER, GnomenuParser))
#define GNOMENU_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_PARSER, GnomenuParserClass))
#define GNOMENU_IS_PARSER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_PARSER))
#define GNOMENU_IS_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_PARSER))
#define GNOMENU_PARSER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_PARSER, GnomenuParserClass))

typedef struct _GnomenuParser GnomenuParser;
typedef struct _GnomenuParserClass GnomenuParserClass;
typedef struct _GnomenuParserPrivate GnomenuParserPrivate;
typedef struct _GnomenuParamSpecParser GnomenuParamSpecParser;

/**
 * Parser converts xml to widgets.
 *
 * A sub-parser is created if a sumne is encountered.
 */
struct _GnomenuParser {
	GTypeInstance parent_instance;
	volatile int ref_count;
	GnomenuParserPrivate * priv;
};

struct _GnomenuParserClass {
	GTypeClass parent_class;
	void (*finalize) (GnomenuParser *self);
};

struct _GnomenuParamSpecParser {
	GParamSpec parent_instance;
};


void gnomenu_parser_parse (GnomenuShell* shell, const char* description, GError** error);
GParamSpec* gnomenu_param_spec_parser (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
gpointer gnomenu_value_get_parser (const GValue* value);
void gnomenu_value_set_parser (GValue* value, gpointer v_object);
GType gnomenu_parser_get_type (void);
gpointer gnomenu_parser_ref (gpointer instance);
void gnomenu_parser_unref (gpointer instance);


G_END_DECLS

#endif
