
#ifndef __LIBGNOMENU_SERIALIZER_H__
#define __LIBGNOMENU_SERIALIZER_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>

G_BEGIN_DECLS


#define GNOMENU_TYPE_SERIALIZER (gnomenu_serializer_get_type ())
#define GNOMENU_SERIALIZER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOMENU_TYPE_SERIALIZER, GnomenuSerializer))
#define GNOMENU_SERIALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GNOMENU_TYPE_SERIALIZER, GnomenuSerializerClass))
#define GNOMENU_IS_SERIALIZER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOMENU_TYPE_SERIALIZER))
#define GNOMENU_IS_SERIALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GNOMENU_TYPE_SERIALIZER))
#define GNOMENU_SERIALIZER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GNOMENU_TYPE_SERIALIZER, GnomenuSerializerClass))

typedef struct _GnomenuSerializer GnomenuSerializer;
typedef struct _GnomenuSerializerClass GnomenuSerializerClass;
typedef struct _GnomenuSerializerPrivate GnomenuSerializerPrivate;
typedef struct _GnomenuParamSpecSerializer GnomenuParamSpecSerializer;

/**
 * convert the widget representation to xml representation.
 */
struct _GnomenuSerializer {
	GTypeInstance parent_instance;
	volatile int ref_count;
	GnomenuSerializerPrivate * priv;
};

struct _GnomenuSerializerClass {
	GTypeClass parent_class;
	void (*finalize) (GnomenuSerializer *self);
};

struct _GnomenuParamSpecSerializer {
	GParamSpec parent_instance;
};


char* gnomenu_serializer_to_string (GObject* obj, gboolean pretty_print);
GParamSpec* gnomenu_param_spec_serializer (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
gpointer gnomenu_value_get_serializer (const GValue* value);
void gnomenu_value_set_serializer (GValue* value, gpointer v_object);
GType gnomenu_serializer_get_type (void);
gpointer gnomenu_serializer_ref (gpointer instance);
void gnomenu_serializer_unref (gpointer instance);


G_END_DECLS

#endif
